org.springframework.web.servlet

## Class ModelAndViewDefiningException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.ServletException
      - - org.springframework.web.servlet.ModelAndViewDefiningException

All Implemented Interfaces:
  Serializable

    public class ModelAndViewDefiningException
    extends ServletException

Exception to be thrown on error conditions that should forward to a specific view with a specific model.

Can be thrown at any time during handler processing. This includes any template methods of pre-built controllers. For example, a form controller might abort to a specific error page if certain parameters do not allow to proceed with the normal workflow.

Since:
  22.11.2003
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelAndViewDefiningException(ModelAndView modelAndView)` Create new ModelAndViewDefiningException with the given ModelAndView, typically representing a specific error page.

### Method Summary

Methods
`ModelAndView` `getModelAndView()` Return the ModelAndView that this exception contains for forwarding to.

### Methods inherited from class javax.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelAndViewDefiningException

    public ModelAndViewDefiningException(ModelAndView modelAndView)

Create new ModelAndViewDefiningException with the given ModelAndView, typically representing a specific error page.

Parameters:
  `modelAndView` - ModelAndView with view to forward to and model to expose

### Method Detail

#### getModelAndView

    public ModelAndView getModelAndView()

Return the ModelAndView that this exception contains for forwarding to.